Page MenuHomeFreeBSD

Document cap_grp service.
ClosedPublic

Authored by oshogbo on Jan 10 2018, 4:14 AM.

Details

Diff Detail

Repository
rS FreeBSD src repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

oshogbo created this revision.Jan 10 2018, 4:14 AM
oshogbo updated this revision to Diff 37711.

Sort SEE ALSO.

bcr added a subscriber: bcr.Jan 10 2018, 8:01 AM

A few suggestions and corrections.

lib/libcasper/services/cap_grp/cap_grp.3
117 ↗(On Diff #37711)

s/allows/allow/

maybe: ... which will allow to use the function associated with the name.
or: ... which allows to use the function ... (in this case, allows is fine)

136 ↗(On Diff #37711)

That sentence is hard to understand.
Did you mean this:

The field which was set as the limit will be returned else it will be set to default values.

146 ↗(On Diff #37711)

Is it just one group or groups (the variable says groups)?

I think you mean to write this:

The cap_grp_limit_groups function allows to limit access to groups.

151 ↗(On Diff #37711)

How about this:

The names variable allows to limit groups by name and the gids variable by the group number.

156 ↗(On Diff #37711)

The "respectively" has to move at the end, like this:
The names and ngids variables provide numbers of limited names and gids, respectively.

161 ↗(On Diff #37711)

s/an/a/

192 ↗(On Diff #37711)

s/Umable/Unable/

196 ↗(On Diff #37711)

Same here...

200 ↗(On Diff #37711)

... and here.

oshogbo updated this revision to Diff 37723.Jan 10 2018, 9:45 AM

Thank you @bcr.

oshogbo marked 8 inline comments as done.Jan 10 2018, 9:47 AM
oshogbo added inline comments.
lib/libcasper/services/cap_grp/cap_grp.3
136 ↗(On Diff #37711)

So we have a stracture:

struct group {
const char *gr_name;
const char *gr_passwd;
etc.
}

So if i limit it casper to gr_name, I still will get whole structure but only gr_name will be filled from it.

bcr added a comment.Jan 10 2018, 9:54 AM

New suggestion on how to word it better, based on your explanation, @oshogbo.
I found something else while there, but it's easy to fix. ;-)

lib/libcasper/services/cap_grp/cap_grp.3
136 ↗(On Diff #37711)

Ah, thanks for the explanation.
How about this then:
The field which was set as the limit will be returned, while the rest of the values not set this way will have default values.

106 ↗(On Diff #37723)

Just found this one: s/varlable/variable/

brueffer requested changes to this revision.Jan 10 2018, 11:05 AM
brueffer added a subscriber: brueffer.
brueffer added inline comments.
lib/libcasper/services/cap_grp/cap_grp.3
119 ↗(On Diff #37711)

Wrong variable? There's no "ntpyes" variable in the signatures above.

190 ↗(On Diff #37723)

as we

This revision now requires changes to proceed.Jan 10 2018, 11:05 AM
oshogbo updated this revision to Diff 37940.Jan 14 2018, 6:15 PM

Thank you @bcr and @brueffer .

oshogbo marked 6 inline comments as done.Jan 14 2018, 6:15 PM
brueffer requested changes to this revision.Jan 15 2018, 1:58 PM

One more typo, looks good otherwise!

lib/libcasper/services/cap_grp/cap_grp.3
202 ↗(On Diff #37940)

associated

This revision now requires changes to proceed.Jan 15 2018, 1:58 PM
oshogbo marked an inline comment as done.Jan 25 2018, 1:26 AM
oshogbo updated this revision to Diff 38413.

Thank you @brueffer .

brueffer accepted this revision.Jan 25 2018, 8:46 AM
This revision is now accepted and ready to land.Jan 25 2018, 8:46 AM
This revision was automatically updated to reflect the committed changes.